Bug 81930 - [glamor] misrendered glyphs
Summary: [glamor] misrendered glyphs
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/Acceleration/glamor (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-30 20:27 UTC by Kai
Modified: 2014-12-10 17:49 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Latest misrendered glyph (in Firefox/Iceweasel) (3.97 KB, image/png)
2014-07-30 20:27 UTC, Kai
no flags Details
An earlier example, first shown in bug 78453, comment #98 (3.29 KB, image/png)
2014-07-30 20:31 UTC, Kai
no flags Details
And another one. (707 bytes, image/png)
2014-07-30 20:37 UTC, Kai
no flags Details
Sometimes windows are misrendered as well (14.04 KB, image/png)
2014-07-30 20:38 UTC, Kai
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kai 2014-07-30 20:27:19 UTC
Created attachment 103698 [details]
Latest misrendered glyph (in Firefox/Iceweasel)

When using the accelerated Hawaii setup, I'm seeing misrendered glyphs from time to time (see the attached files). They most often appear with Firefox (called Iceweasel in Debian), but I've also seen them within a less window (in Konsole).

My stack is (base: Debian testing):
GPU: Hawaii PRO [Radeon R9 290] (ChipID = 0x67b1)
Linux: Git:~agdf5/linux:drm-next-3.17-rebased-on-fixes:6e07731f71 (calls itself 3.16-rc6)
libdrm: Git:master/libdrm-2.4.56
LLVM: 3.5 RC1
libclc: Git:master/0ec7437d9c
Mesa: Git:master/85109bc507
DDX: 1:7.4.0-2 + Patch from http://lists.x.org/archives/xorg-driver-ati/2014-July/026517.html
X: 2:1.16.0-1 (1.16.0)
Comment 1 Kai 2014-07-30 20:31:12 UTC
Created attachment 103699 [details]
An earlier example, first shown in bug 78453, comment #98

And another example, first posted in bug 78453, comment #98.
Comment 2 Kai 2014-07-30 20:37:38 UTC
Created attachment 103700 [details]
And another one.
Comment 3 Kai 2014-07-30 20:38:26 UTC
Created attachment 103701 [details]
Sometimes windows are misrendered as well

Very rarely I see misrendered windows as well, is this related or a different bug?
Comment 4 Zoltán Böszörményi 2014-07-31 04:00:03 UTC
I see some misrendered glyphs on my Radeon R9 270X, too, in Firefox. So it's not Hawaii specific.
Comment 5 Michel Dänzer 2014-07-31 06:14:40 UTC
I think this is most likely a bug in the glamor glyph cache code.

(In reply to comment #3)
> Very rarely I see misrendered windows as well, is this related or a
> different bug?

Probably different. There is at least one existing bug report about glamor rendering issues in KDE.
Comment 6 Zoltán Böszörményi 2014-07-31 07:59:56 UTC
(In reply to comment #4)
> I see some misrendered glyphs on my Radeon R9 270X, too, in Firefox. So it's
> not Hawaii specific.

Sorry to be so terse. I am using an up to date Fedora 21 Rawhide:

$ uname -r
3.16.0-0.rc7.git1.1.fc21.x86_64

$ rpm -q xorg-x11-server-Xorg llvm-libs mesa-libGL
xorg-x11-server-Xorg-1.16.0-1.fc21.x86_64
llvm-libs-3.4-13.fc21.x86_64
llvm-libs-3.4-13.fc21.i686
mesa-libGL-10.2.3-1.20140711.fc21.x86_64
mesa-libGL-10.2.3-1.20140711.fc21.i686

(In reply to comment #5)
> I think this is most likely a bug in the glamor glyph cache code.

Probably.
Comment 7 Kai 2014-07-31 15:29:03 UTC
(In reply to comment #5)
> I think this is most likely a bug in the glamor glyph cache code.
> 
> (In reply to comment #3)
> > Very rarely I see misrendered windows as well, is this related or a
> > different bug?
> 
> Probably different. There is at least one existing bug report about glamor
> rendering issues in KDE.

Do you mean bug 80827? That's the only one I found which comes close to what I'm seeing. Though I have to admit, that some of the corruption in bug 80827 looks like the reporter has set the "compositing type" to XRender (something that never worked with GLAMOR (seen with my current R9 290 and my old HD7850).
Comment 8 Kai 2014-12-10 17:49:39 UTC
Seems to be fixed with Git commit c52a2b1eba. (which is after RC 1 of 1.17)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.